Page MenuHomePhabricator

Notice: Cannot access property on non-object in /srv/mediawiki/php-1.30.0-wmf.13/includes/specials/SpecialDoubleRedirects.php on line 143
Closed, ResolvedPublic

Description

Notice: Cannot access property on non-object in /srv/mediawiki/php-1.30.0-wmf.13/includes/specials/SpecialDoubleRedirects.php on line 143

Event Timeline

mmodell created this task.Aug 10 2017, 7:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 10 2017, 7:44 PM
Huji added a subscriber: Huji.Aug 10 2017, 8:10 PM

Can you provide more details from the log? Like which object and what property are mentioned?

I think moving line 143 back to the top of the function might solve this (moving it down was not the best idea).

Reedy added a comment.Aug 10 2017, 8:24 PM

Can you provide more details from the log? Like which object and what property are mentioned?

Don't need it, it's obvious from the code -- it's $result https://github.com/wikimedia/mediawiki/blob/master/includes/specials/SpecialDoubleRedirects.php#L143

$titleA = Title::makeTitle( $result->namespace, $result->title );
Krinkle claimed this task.Aug 10 2017, 8:26 PM

Change 371143 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] SpecialDoubleRedirects: Fix undefined '$result->namespace' notice

https://gerrit.wikimedia.org/r/371143

Krinkle triaged this task as Normal priority.Aug 10 2017, 8:30 PM

Change 371203 had a related patch set uploaded (by 20after4; owner: Krinkle):
[mediawiki/core@wmf/1.30.0-wmf.13] SpecialDoubleRedirects: Fix undefined '$result->namespace' notice

https://gerrit.wikimedia.org/r/371203

Change 371203 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.13] SpecialDoubleRedirects: Fix undefined '$result->namespace' notice

https://gerrit.wikimedia.org/r/371203

Mentioned in SAL (#wikimedia-operations) [2017-08-10T22:31:03Z] <twentyafterfour@tin> Synchronized php-1.30.0-wmf.13/includes/specials/SpecialDoubleRedirects.php: Hopefully fix T173045 (duration: 00m 48s)

mmodell closed this task as Resolved.Aug 10 2017, 10:37 PM

Change 371143 merged by jenkins-bot:
[mediawiki/core@master] SpecialDoubleRedirects: Fix undefined '$result->namespace' notice

https://gerrit.wikimedia.org/r/371143

Krinkle reopened this task as Open.Aug 11 2017, 2:06 AM

It's still an issue?

Krinkle closed this task as Resolved.Aug 12 2017, 7:05 PM
Krinkle removed a project: Patch-For-Review.

Nope. Warnings stopped August 10.